<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Strata_Three
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article s3-<?php echo _SITE_POSTS; ?> s3-p-9 s3-bs">
		<header class="entry-header">
<?php
the_title( sprintf( '<h2 class="entry-title index-excerpt"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
if ( 'post' === get_post_type() ) {
	echo '<div class="entry-meta">';
	s3_index_posted_on();
	echo '</div>';
}
?>
		</header>

		<div class="entry-summary index-excerpt">
			<div class="row">
<?php
				# $featured_image generates a column
				echo s3_featured_image_thumb($post);
				the_excerpt();
?>
				</div>
			</div>
		</div>

		<div class="continue-reading">
			<a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark" class="btn btn-link btn-go s3-<?php echo _SITE_BUTTONS; ?> s3-bs"><?php
printf (
/* Translators: %s = Name of the current post. */
	wp_kses( __( 'Continue reading %s', 's3' ), array( 'span' => array( 'class' => array() ) ) ),
	the_title( '<span class="screen-reader-text">"', '"</span>', false )
);
?>
			</a>
		</div>
	</div>
</article><!-- #post-## -->

